
Jupiter - Zadanie #1892
Zadanie # 1885 (Nowy): uwagi ze spotkania
ekran szablonów numeracji się zepsuł
2017-12-13 10:07 - Łukasz Waśkiewicz

Status: Zamknięty Start date: 2017-12-13
Priority: Normalny Due date:
Assignee: Łukasz Waśkiewicz % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Michał Komar Tester: Jarosław Bąbel
Description

screen

Associated revisions
Revision f3ebf533 - 2017-12-13 15:54 - Michał Komar

refs #1892: Poprawienie wyświetlania kontrolek w journal-numbering

Revision 58c32d92 - 2018-01-29 12:29 - Łukasz Waśkiewicz

refs #1892 dodana onformacja o braku szablonów

Revision 0273fc0d - 2018-02-14 14:08 - Łukasz Waśkiewicz

refs #1892 dodanie opcji wyczyszczenia wyboru w szablonach numeracji
czasopisma

History
#1 - 2017-12-13 10:11 - Łukasz Waśkiewicz
- Parent task set to #1885

#2 - 2017-12-13 14:34 - Michał Komar
- Category set to ui
- Assignee set to Michał Komar
- Target version set to 0.3
- Developer Michał Komar added
- Tester Jarosław Bąbel added

#3 - 2017-12-13 15:46 - Michał Komar
- Status changed from Nowy to W toku

#4 - 2017-12-13 15:54 - Michał Komar
- Status changed from W toku to Testowanie
- Assignee changed from Michał Komar to Jarosław Bąbel
- % Done changed from 0 to 100
Poprawiłem

#5 - 2018-01-18 14:37 - Jarosław Bąbel
- File Screenshot-2018-1-18 Jupiter editor document bwmeta1 element issn-1691-5771 numbering.png added
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

Ekran wygląda dobrze (screen w załączniku).

Z selectów nie można nic wybrać. Nie znam tej funkcjonalności, więc nie wiem, czy to oczekiwane zachowanie.

Testowałem w rev.  d609af2

#6 - 2018-01-29 12:32 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

To oczekiwane zachowanie. Ale aby było klarowniej dodałem informacje o braku szablonów i ustawiłem select disabled jeśli nie ma nic do wybrania
zlokalizowałem też formularz bo teksty były na sztywno w html

#7 - 2018-02-02 12:34 - Jarosław Bąbel
- File BrakOpcjiBezNumeracji.png added
- File TakMogloByWygladacPoOtwarciu.png added
- File PoOtwarciu.png added

    -  Po wejściu na ekran szablonów czasopisma w seletcie gdzie mamy wybór pojawia się napis:
"Numeracja niezdefiniowana" {{thumbnail(PoOtwarciu.png, size=50)}}. Jak klikniemy na ten select i potem gdzieś poza nim, to ekran wygląda tak:

{{thumbnail(TakMogloByWygladacPoOtwarciu.png, size=50)}} Fajnie by było jakby tak wyglądał od razu po otwarciu ekranu szablonów.

    -  Dodać możliwość wyłączenia numeracji w select {{thumbnail(BrakOpcjiBezNumeracji.png, size=50)}}. Jeżeli wybierzemy szablon numeracji, to nie
możemy już zrezygnować z numeracji, bo w selecie nie ma opcji "Bez numeracji". Generowane numery i tak można zmieniać ręcznie, więc może
niekoniecznie trzeba to robić?

#8 - 2018-02-02 12:40 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

#9 - 2018-02-14 14:10 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

zachowania z punktu 1 nie udało mi się powtórzyć
punkt 2 dodałem opcję Brak (czyszczącą wybór)
#10 - 2018-02-15 13:51 - Jarosław Bąbel
- Status changed from Testowanie to Odpowiedź
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

Zachowanie 1 pojawia się u mnie jeżeli mam tylko jeden szablon dla jednego poziomu i dostatecznie szybko klikam. Z drugiej strony jak się doda taki
"opóźniacz" (log na konsoli) w journal-numberings.component.ts:

private initialize(): void {
    this.hierarchyService.getHierarchyByJournalId( this._id ).switchMap(( hierarchy ) => {
        console.log("OPOZNIACZ");
    let numberings: Numbering[] = [];
...

To problem znika.

Nie jest to istotny błąd, ale wydaje się, że strona jest wyświetlona czasem zanim konstruktor się zakończy.

Można to zadanie pewnie zamknąć, ale coś tam siedzi i może kiedyś mieć znaczenie w innych miejscach.

#11 - 2018-02-16 10:46 - Łukasz Waśkiewicz
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

a gdzie musisz szybko klikać bo ja wciąż nie mogę tego wywołać
otwierając stronę bezpośrednio na http://localhost:4200/editor/document/bwmeta1.element.issn-2083-4594/numbering
albo wchodząc od http://localhost:4200/editor/search i w obu przypadkach jeszcze klikając pomiędzy czasopismami które mają wybrany szablon lub
nie

ten komponent rozszerza BusyComponent i do momentu załadowania wszystkiego jest przesłonka, może to problem z przesłonką, ale u mnie ona
znika dopiero po załadowaniu danych i zawsze jest wszystko OK

#12 - 2018-02-19 10:22 - Jarosław Bąbel
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

W administracja -> szablony numeracji mam zdefiniowany tylko jeden szablon dla numerów. Po dodaniu drugiego czasem jedna opcja wyświetla się
prawidłowo, a druga już jako "niezdefiniowana". Ale lepiej to widać jak jest tylko jeden szablon.
Przez szybkie klikanie rozumiem:
    1. wejdź w edycję artykułu
    2. po wczytaniu edytora (zaraz po zniknięciu maski) szybko przełącz na zakładkę "szablony numeracji"
Można też przełączać się między zakładkami edycja/szablony numeracji jednego artykułu:
    1. otwórz edytor
    2. przełącz się na numerację
    3. przełącz się na edycję i jak tylko się wczyta kliknij znowu numerację

Wejście prosto z linku "numbering" też ten efekt daje, ale rzadziej.

#13 - 2018-02-23 12:50 - Łukasz Waśkiewicz
http://localhost:4200/editor/document/bwmeta1.element.issn-2083-4594/numbering
http://localhost:4200/editor/search


- Status changed from Odpowiedź to Testowanie
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel

    -  poprawiłem obsługę disabled ( w konsoli JS był warning )
    -  zlokalizowałem problem z odpowiedzi. Było nim tworzenie obiektu Numbering, które w konstruktorze miało wołanie do backendu o listę opcji. Po
zakończeniu inicjalizacji przy generowaniu formularza options (opcje do wyboru) mogły jeszcze nie być zapisane wiec otrzymywaliśmy informacje o
braku, ale chwile później opcje już były (po naprawianiu WARN z disabled skutkowało to tym ze selecty były na stałe wyłączone) 

przerobiłem aby inicjalizacja zwracała Promise<Numbering> i dopiero po zakończeniu wszystkich kontynuowało inicjalizację

#14 - 2018-02-26 16:15 - Jarosław Bąbel
- Status changed from Testowanie to Rozwiązany
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

#15 - 2018-02-27 08:35 - Łukasz Waśkiewicz
- Status changed from Rozwiązany to Zamknięty

Files
szablony_numeracji.png 15.1 KB 2017-12-13 Łukasz Waśkiewicz
Screenshot-2018-1-18 Jupiter editor document bwmeta1 element issn-1691-5771 numbering.png60.7 KB 2018-01-18 Jarosław Bąbel
TakMogloByWygladacPoOtwarciu.png 49.8 KB 2018-02-02 Jarosław Bąbel
PoOtwarciu.png 50.8 KB 2018-02-02 Jarosław Bąbel
BrakOpcjiBezNumeracji.png 54.7 KB 2018-02-02 Jarosław Bąbel
